## org.codehaus.plexus.collections
Class DefaultProtoCollection

    java.lang.Object
      org.codehaus.plexus.collections.DefaultProtoCollection

All Implemented Interfaces:
  ProtoCollection, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

    public class DefaultProtoCollection

extends java.lang.Object
implements ProtoCollection, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

Field Summary

Fields inherited from interface org.codehaus.plexus.collections.ProtoCollection
`ROLE`

Constructor Summary
`DefaultProtoCollection()`
`DefaultProtoCollection(org.codehaus.plexus.PlexusContainer container, java.lang.String role)`

Method Summary
`void` `contextualize(org.codehaus.plexus.context.Context context)`
`ActiveList` `getActiveList()` Retrieve an `ActiveList` instance that contains components matching the role given by `ProtoCollection.getCollectedRole()`.
`ActiveMap` `getActiveMap()` Retrieve an `ActiveMap` instance that contains components matching the role given by `ProtoCollection.getCollectedRole()`.
`ActiveSet` `getActiveSet()` Retrieve an `ActiveSet` instance that contains components matching the role given by `ProtoCollection.getCollectedRole()`.
`java.lang.String` `getCollectedRole()` Retrieve the role of components to be collected by any of the active collections created here.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultProtoCollection

    public DefaultProtoCollection(org.codehaus.plexus.PlexusContainer container,
                                  java.lang.String role)

### DefaultProtoCollection

    public DefaultProtoCollection()

Method Detail

### getActiveList

    public ActiveList getActiveList()

  Description copied from interface: `ProtoCollection`
  Retrieve an `ActiveList` instance that contains components matching the role given by `ProtoCollection.getCollectedRole()`.

  Specified by:
    `getActiveList` in interface `ProtoCollection`

### getActiveMap

    public ActiveMap getActiveMap()

  Description copied from interface: `ProtoCollection`
  Retrieve an `ActiveMap` instance that contains components matching the role given by `ProtoCollection.getCollectedRole()`.

  Specified by:
    `getActiveMap` in interface `ProtoCollection`

### getActiveSet

    public ActiveSet getActiveSet()

  Description copied from interface: `ProtoCollection`
  Retrieve an `ActiveSet` instance that contains components matching the role given by `ProtoCollection.getCollectedRole()`.

  Specified by:
    `getActiveSet` in interface `ProtoCollection`

### getCollectedRole

    public java.lang.String getCollectedRole()

  Description copied from interface: `ProtoCollection`
  Retrieve the role of components to be collected by any of the active collections created here.

  Specified by:
    `getCollectedRole` in interface `ProtoCollection`

### contextualize

    public void contextualize(org.codehaus.plexus.context.Context context)
                       throws org.codehaus.plexus.context.ContextException

  Specified by:
    `contextualize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable`
  Throws:
    `org.codehaus.plexus.context.ContextException`

Copyright © 2011. All Rights Reserved.